﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Data.SqlClient;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

/// <summary>
/// DataAccess 클래스
/// </summary>
public abstract class DataAccess
{
	public static readonly string ConnectionString = ConfigurationManager.ConnectionStrings["ConnectionString"].ConnectionString;

	public delegate void FormatListRow( IDataRecord row, List<ListModel> model );

	public static List<ListModel> GetData( string table, FormatListRow listRow )
	{
		SqlCommand cmd			= null;
		SqlDataReader reader	= null;

		try
		{
			cmd		= new SqlCommand(
							string.Format("SELECT * FROM {0}", table),
							new SqlConnection(ConnectionString));
			cmd.Connection.Open();
			reader	= cmd.ExecuteReader(CommandBehavior.CloseConnection);

			List<ListModel> model = new List<ListModel>();

			while (reader.Read())
			{
				listRow(reader, model);
			}

			return model;
		}
		catch (Exception ex)
		{
			throw ex;
		}
		finally
		{
			reader.Close();
		}
	}
}
